Hi there,
Any ideas mapping menu buttons to c# with NXOpen? I thick I'm on the right track but I'm not sure. The code below tries to map the menu button "Create Rectangle" to a window forms button:
namespace sth
{
public partial class Someform : Form
{
public NXOpen.UI theUI =...
Hi there,
I have an NX Open .exe code running (simple Window forms in c#) and I cannot seem to refocus or return or reactivate the UGS NX design environment/session from my app. Is just hanging there.. Has anybody came across this? Any ideas to resolve that?
Thank you,
Zoes
Hi there,
I was wondering if the action of hitting a menu button, can be identified in code instead of having a commentary?
"// Menu: Insert->Sketch Curve->Circle..."?
public static void Main(string[] args)
{
Session theSession = Session.GetSession();
Part workPart =...
Hi
I have radio buttons that when checked supress or unsupress features
In vb.net it works!
Dim features1(0) As Features.Feature
Dim featureGroup1 As Features.FeatureGroup = CType(workPart.Features.FindObject("FEATURE_SET(43)"), Features.FeatureGroup)
Dim errorFeatures1() As...
Hi,
Wondering how can I extend the code bellow to recognise all design features in a model?
Will be quite useful for a simple model to recognise that there is a block and then validate its dimensions for example.
Thank you in advance [smile2]
Option Strict Off
Imports System
Imports NXOpen...
Hi all,
I have written the code bellow but while trying to execute it gives me an error message: "Error in the external library. See syslog for details ... Function name ufusr".
The form is supposed to load the existing expressions of breadth and thickness and assign them to two textboxes...
Hi,
Would like to know how/if I could load an external .dll into a journal???
For example I produced a UI styler based code with an action button and a vb.net "hello class" with the intention when I hit the button a hello msg will appear..
Journal:
If block Is button0 Then
Dim s As New...
Code:
Dim initial As String = "enter name"
Public Sub dialogShown_cb()
Try
string0.GetProperties.SetString("Value", initial)
string01.GetProperties.SetString("Value", "")
End Try
End Sub
Public Function apply_cb() As Integer
Try
Dim UserInputString As String
UserInputString =...
I have been very confused with identifying a selected item from a list box generated from blockstyler.. I have sort of idea (see follwong code) Does anybody know how to do this? Isn't it simple to code?
Dim lw As ListingWindow = theSession.ListingWindow
Dim list_box0Props As PropertyList =...
I know there is another tread about all around welds, but I'm not sure I understood how it can be done.
I'm using NX 7.5, and I have a block attached to a plate. I want to have a weld all around the block. So far I have used Fillets and Groove weld but the outcome doesnt look consistent. Any...
Hi
Being very interested in GUIs wanted to ask, how can I call a dialog box from another dialog box? Will be the code be similar to the one bellow?
How we implement an action button so can call a dlx? or open a macro?
'call .dlx
theDialogName = "list_box_bitmap.dlx"
theUI = UI.GetUI()...
Hi
Would like some help with "writing" points of workpart in a _dat file in real time. So far the code bellow exports the points to a file and then closes it. Can we use a File Mode to keep the file open and still write on it?
Code:
Dim outFile As IO.StreamWriter
outFile =...
Hi,
Is there a way to load custom Dialog Boxes on Startup of NX connected with specific parts?
For example automatically the .dlg appears when an expression value of a part changes to a specific value? Is that related to environmental variables perhaps? Like UGII_VIEW_POPUP_MENU_FILE or...
Hi all,
I'm new to NXopen and I have a quite silly question; how I add items in a listbox and bitmaps in a dialog created by the blockstyler?
I thought the obvious answer will be something like this:
Public Function update_cb(ByVal block As NXOpen.BlockStyler.UIBlock) As Integer
Try
If block...